%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  cancerR
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Classification of Cancer Using Administrative Data

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Classifies the type of cancer using routinely collected data commonly
found in cancer registries from pathology reports. The package implements
the International Classification of Diseases for Oncology, 3rd Edition
site (topography), histology (morphology), and behaviour codes of
neoplasms to classify cancer type
<https://www.who.int/standards/classifications/other-classifications/international-classification-of-diseases-for-oncology>.
Classification in children utilize the International Classification of
Childhood Cancer by Steliarova-Foucher et al. (2005)
<doi:10.1002/cncr.20910>. Adolescent and young adult cancer classification
is based on Barr et al. (2020) <doi:10.1002/cncr.33041>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
